## sphinxcontrib-mermaid 0.7.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Sphinxcontrib-mesmaiddemo
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinxcontrib-mermaid (0.7.1-3) unstable; urgency=medium

  * Add patch from Chris Lamb to make the build reproducible.
    Closes: #1012790
  * debian/control: Add Provides for alternative name
    python3-sphinxcontrib.mermaid.
  * debian/control: Update S-V with no chaanges.

 -- Martina Ferrari <tina@debian.org>  Tue, 02 Aug 2022 18:05:47 +0000

sphinxcontrib-mermaid (0.7.1-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Martina Ferrari <tina@debian.org>  Tue, 14 Jun 2022 19:24:42 +0000

sphinxcontrib-mermaid (0.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1012119)

 -- Martina Ferrari <tina@debian.org>  Mon, 30 May 2022 14:39:01 +0000

=== debian/control ===
Source: sphinxcontrib-mermaid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-docutils,
               python3-myst-parser,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.1.0
Homepage: https://github.com/mgaitan/sphinxcontrib-mermaid/
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid

Package: python3-sphinxcontrib-mermaid
Provides: python3-sphinxcontrib.mermaid
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-myst-parser,
Description: Sphinx extension to embed Mermaid graphs in documents
 This extension allows you to embed Mermaid
 (https://mermaid-js.github.io/) graphs in your documents, including general
 flowcharts, sequence and gantt diagrams.
 .
 Note that by default the generated HTML documents will use Mermaid JS files
 published in a CDN service, if using the 'raw' output format, and that other
 formats require the Mermaid CLI interface (not yet packaged in Debian).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

export PYBUILD_AFTER_BUILD := \
	PYTHONPATH={home_dir} python3 -m sphinx -N -bhtml docs/ build/html; \
	PYTHONPATH={home_dir} python3 -m sphinx -N -bman docs/ build/man

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-myst-parser,
         python3-pytest,
         @,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/mgaitan/sphinxcontrib-mermaid/tags/ \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sphinxcontrib-mermaid 0.9.2

=== docs/requirements.txt ===
Sphinx>=3.2.1
myst-parser>=0.15.1

=== debian/changelog ===
sphinxcontrib-mermaid (0.9.2-3) unstable; urgency=medium

  * Team upload
  * [cadf662] Rebuild patch queue from patch-queue branch
    Added patch:
    Make-the-build-reproducible.patch
    (Closes: #1052950)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Feb 2024 12:00:41 +0100

sphinxcontrib-mermaid (0.9.2-2) unstable; urgency=medium

  * Rebuild patches from patch queue branch
    Added patches:
    README.rst-Adopt-autoclasstree-examples-to-Sphinx-7.2.patch
    autoclassdiag.py-Exchange-source-for-import-to-sphinx.err.patch
    (Closes: #1042609)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Dec 2023 18:39:09 +0100

sphinxcontrib-mermaid (0.9.2-1) unstable; urgency=medium

  * Team upload

  [ Martina Ferrari ]
  * debian/patches: Fix typo in docs.
  * Add debian/gbp.conf file.
  * Fix gbp.conf file.

  [ Carsten Schoenert ]
  * d/gbp.conf: Add some more defaults
  * New upstream version 0.9.2
  * Rebuild patches from patch queue branch
    Added patches:
    Privacy-Remove-linking-to-graphics-for-badges.patch
    docs-Don-t-sideload-an-animated-GIF-file.patch
    Divided patch:
    01-fix-docs_conf.patch
    --> docs-Correct-section-for-generated-manpages.patch
    --> docs-Disable-html_static_path-and-html_js_files.patch
    --> docs-Fixup-misspelled-words.patch
    Removed patch (fixed upstream):
    02-reproducible-build.patch
  * d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * directive.gif: Add a local stored gif file
  * d/rules: Copy file directive.gif in place for install
  * d/*: Running wrap-and-sort -ast
  * d/{contrl,rules}: Drop --with option in default target
  * autopkgtests: Be a bit more verbose in the output
  * d/python3-sphinxcontrib-mermaid.doc-base: Add new sequencer
  * d/README.source: Add infos about source code
  * d/copyright: Small update to years of contribution

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Jun 2023 11:20:33 +0200

=== debian/control ===
Source: sphinxcontrib-mermaid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-docutils,
 python3-myst-parser,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/mgaitan/sphinxcontrib-mermaid/
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid

Package: python3-sphinxcontrib-mermaid
Provides:
 python3-sphinxcontrib.mermaid,
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-myst-parser,
Description: Sphinx extension to embed Mermaid graphs in documents
 This extension allows you to embed Mermaid
 (https://mermaid-js.github.io/) graphs in your documents, including general
 flowcharts, sequence and gantt diagrams.
 .
 Note that by default the generated HTML documents will use Mermaid JS files
 published in a CDN service, if using the 'raw' output format, and that other
 formats require the Mermaid CLI interface (not yet packaged in Debian).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

export PYBUILD_AFTER_BUILD := \
	PYTHONPATH={home_dir} python3 -m sphinx -b html $(SPHINXOPTS) docs/ build/html; \
	PYTHONPATH={home_dir} python3 -m sphinx -b man $(SPHINXOPTS) docs/ build/man; \
	cp debian/external-graphics/directive.gif build/html

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-myst-parser,
 python3-pytest,
 @,

## sphinxcontrib-mermaid 1.0.0

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
-SPHINXPROJ    = Sphinxcontrib-mesmaiddemo
+SPHINXPROJ    = Sphinxcontrib-mermaiddemo
 SOURCEDIR     = .
 BUILDDIR      = _build
 
@@ -14,6 +14,9 @@
 
 .PHONY: help Makefile
 
+open:
+	python -m webbrowser -t "file://$(PWD)/_build/html/index.html"
+
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile

=== docs/requirements.txt ===
Sphinx
myst-parser>=1.0.0

=== debian/changelog ===
sphinxcontrib-mermaid (1.0.0-1) unstable; urgency=medium

  * Team upload
  * [49d316e] d/watch: Move over to git mode on GitHub
  * [7eab873] d/gbp.conf: Add [dch] section
  * [09b7e33] New upstream version 1.0.0
  * [6c0892c] Rebuild patch queue from patch-queue branch
    Dropped patches (included upstream):
    README.rst-Adopt-autoclasstree-examples-to-Sphinx-7.2.patch
    autoclassdiag.py-Use-sphinx.errors-for-importing.patch
    Updated patch:
    Privacy-Remove-linking-to-graphics-for-badges.patch
  * [1279681] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [350a2e9] d/copyright: Update year data
  * [c16d4e4] d/control: Add B-D on pybuild-plugin-pyproject
  * [1523e41] d/rules: Add target override_dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Oct 2024 12:26:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-docutils,
  python3-myst-parser,
@@ -15,7 +16,7 @@
  python3-setuptools,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mgaitan/sphinxcontrib-mermaid/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,14 @@
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
-%:
-	dh $@ --buildsystem=pybuild
-
 export PYBUILD_AFTER_BUILD := \
 	PYTHONPATH={home_dir} python3 -m sphinx -b html $(SPHINXOPTS) docs/ build/html; \
 	PYTHONPATH={home_dir} python3 -m sphinx -b man $(SPHINXOPTS) docs/ build/man; \
 	cp debian/external-graphics/directive.gif build/html
+
+%:
+	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|dev|post|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mgaitan/sphinxcontrib-mermaid.git \
      refs/tags/@ANY_VERSION@

## sphinxcontrib-mermaid 1.1.0

=== debian/changelog ===
sphinxcontrib-mermaid (1.1.0-1) unstable; urgency=medium

  * Team upload
  * [a029cf9] d/watch: Convert to version 5
  * [cf9c5a0] New upstream version 1.1.0
  * [42de1b8] Rebuild patch queue from patch-queue branch
    Adjusted patches:
    docs-Correct-section-for-generated-manpages.patch
    docs-Disable-html_static_path-and-html_js_files.patch
    docs-Don-t-sideload-an-animated-GIF-file.patch
    docs-Fixup-misspelled-words.patch
  * [aebf432] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [28406e2] d/control: Update Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Nov 2025 16:33:41 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mgaitan/sphinxcontrib-mermaid/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid

=== debian/watch ===
Version: 5

Source: https://github.com/mgaitan/sphinxcontrib-mermaid.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|dev|post|pre|RC|rc)\.?\d*)$/$1~$2/

## sphinxcontrib-mermaid 2.0.0

=== docs/requirements.txt ===
furo
myst-parser>=1.0.0
Sphinx

=== debian/changelog ===
sphinxcontrib-mermaid (2.0.0-1) unstable; urgency=medium

  * Team upload
  * [37216df] New upstream version 2.0.0
  * [f7b0080] Rebuild patch queue from patch-queue branch
    Dropped patches (obsolete due upstream changes):
    docs-Disable-html_static_path-and-html_js_files.patch
    docs-Fixup-misspelled-words.patch
    Updated/Adjusted patches:
    Privacy-Remove-linking-to-graphics-for-badges.patch
    docs-Correct-section-for-generated-manpages.patch
    docs-Don-t-sideload-an-animated-GIF-file.patch
    Added patch:
    docs-Adjust-paths-to-generated-and-used-.md-files.patch
  * [a22e2a3] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [bf0b9c2] d/control: Drop field Priority: optional
  * [f41cbb6] d/control: Add new B-D on furo
  * [9b59b3a] d/rules: Drop -D option from SPHINXOPTS
  * [4f578ff] d/rules: Update dh_clean override
  * [f974f23] d/docs: Adjust file names to install
  * [8c261bc] d/copyright: Update year data
  * [8bbb6f1] d/control: Add new needed dep on libjs-d3 to bin package
  * [edc5b0b] d/rules: Use d3.min.js from libjs-d3 in *.html files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Jan 2026 15:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sphinxcontrib-mermaid
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Martina Ferrari <tina@debian.org>,
@@ -8,6 +7,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ furo,
  pybuild-plugin-pyproject,
  python3-all,
  python3-docutils,
@@ -15,7 +15,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mgaitan/sphinxcontrib-mermaid/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-mermaid
@@ -25,6 +25,7 @@
  python3-sphinxcontrib.mermaid,
 Architecture: all
 Depends:
+ libjs-d3,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

SPHINXOPTS := -N -E

export PYBUILD_AFTER_BUILD := \
	PYTHONPATH={home_dir} python3 -m sphinx -b html $(SPHINXOPTS) docs/ build/html; \
	PYTHONPATH={home_dir} python3 -m sphinx -b man $(SPHINXOPTS) docs/ build/man; \
	cp debian/external-graphics/directive.gif build/html

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache
	rm -f docs/index.md

override_dh_sphinxdoc:
	dh_sphinxdoc
	for file in `find $(CURDIR)/debian/python3-sphinxcontrib-mermaid/usr/share/doc/python3-sphinxcontrib-mermaid/html -type f -name "*.html"`; do \
	    sed -i "s/https:\/\/cdn\.jsdelivr\.net\/npm\/d3@7.9.0\/dist/file:\/\/\/usr\/share\/javascript\/d3/g" $${file} ;\
	done
